import { Server } from 'miragejs';
import { discoverEmberDataModels } from './ember-data';
import { hasEmberData } from './utils/ember-data';

export { defaultPassthroughs } from 'miragejs';

/**
  @hide
*/
export default class EmberServer extends Server {
  constructor(options) {
    // Merge models from autogenerated Ember Data models with user defined models
    if (hasEmberData && options.discoverEmberDataModels) {
      options.models = Object.assign(
        {},
        discoverEmberDataModels(),
        options.models
      );
    }

    super(options);

    if (
      typeof location !== 'undefined' &&
      location.search.indexOf('mirageLogging') !== -1
    ) {
      this.logging = true;
    }
  }
}
